{% extends 'base.html.twig' %}

{% block body %}
<h1> Créer une Sortie </h1>
<br>
    {{ form_start(createSortie) }}
    <div class="pure-control-group" >
        {{ form_row(createSortie.titre)}}
    </div>
    
    <div class="pure-control-group" id="site">
        {{ form_row(createSortie.site) }}
    </div>

    <div class="pure-control-group" >
        <label> Ville</label>
        <select id="villes" required>
            <option values=""></option>
            {% for ville in villes %}
                <option value="{{ville.id}}">{{ville.nom}}</option>
            {% endfor %}
        </select>
    </div>

        <div class="pure-control-group" id="lieu">
            {{ form_row(createSortie.lieu) }}
        </div>
        <div class="pure-control-group" id="description">
            {{ form_row(createSortie.description) }}
        </div>

        <div class="pure-control-group" id="limite_inscription">
            {{ form_row(createSortie.dateLimiteInscription) }}
        </div>

         <div class="pure-control-group" id="date">
            {{ form_row(createSortie.dateSortie) }}
        </div>

        <div class="pure-control-group" id="nb_participant">
            {{ form_row(createSortie.nbMaxParticipants) }}
        </div>

                <div >
            {{ form_row(createSortie.save) }}
        </div> <br>
                <div  >
            {{ form_row(createSortie.publish) }}
        </div>

    {{ form_end(createSortie) }} 

{% endblock %}

{% block javascripts %}
<script>

    $(document).ready(function(){
        $("#villes").change(function(){
            console.log('je passe là');
        var id = $(this).val();
        $.get("/get-lieux/"+id, function(data, status){
            var json = JSON.parse(data);
            var html ="";
            for (lieu of json){
                html += '<option value="'+lieu.id+'">'+lieu.nomLieu+'</option>';
            }  
            $("#create_sortie_lieu").html(html);   
            });
        });
    });
</script>
{% endblock %}